Runtime

## org.eclipse.gmf.runtime.notation.impl
Class BasicSemanticCompartmentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl
                              org.eclipse.gmf.runtime.notation.impl.BasicSemanticCompartmentImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, BasicDecorationNode, BasicSemanticCompartment, DrawerStyle, Node, Style, View

Direct Known Subclasses:
  SemanticListCompartmentImpl

    public class BasicSemanticCompartmentImpl

extends BasicDecorationNodeImpl
implements BasicSemanticCompartment

An implementation of the model object 'Basic Semantic Compartment'.

The following features are implemented:

- `Collapsed`

Since:
  1.2
** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `COLLAPSED_EDEFAULT` The default value of the '`Collapsed`' attribute
`protected static int` `COLLAPSED_EFLAG` The flag representing the value of the '`Collapsed`' attribute
`protected LayoutConstraint` `layoutConstraint`

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl
`childrenFeatures, element, ELEMENT_ESETFLAG, MUTABLE_EDEFAULT, MUTABLE_EFLAG, type, TYPE_EDEFAULT, VISIBLE_EDEFAULT, VISIBLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `BasicSemanticCompartmentImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLayoutConstraint(LayoutConstraint newLayoutConstraint, org.eclipse.emf.common.notify.NotificationChain msgs)`
`LayoutConstraint` `createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)` A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eSetGen(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`void` `eUnsetGen(int featureID)`
`LayoutConstraint` `getLayoutConstraint()` Returns the value of the 'Layout Constraint' containment reference
`boolean` `isCollapsed()`
`void` `setCollapsed(boolean newCollapsed)`
`void` `setLayoutConstraint(LayoutConstraint newLayoutConstraint)` Sets the value of the '`Layout Constraint`' containment reference
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl

`basicGetDiagram, basicGetElement, createChild, createStyle, eInverseAdd, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInvoke, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### layoutConstraint

    protected LayoutConstraint layoutConstraint

### COLLAPSED_EDEFAULT

    protected static final boolean COLLAPSED_EDEFAULT

  The default value of the '`Collapsed`' attribute.

  See Also:
    `isCollapsed()`, Constant Field Values
  ** Generated **
  Ordered:

### COLLAPSED_EFLAG

    protected static final int COLLAPSED_EFLAG

  The flag representing the value of the '`Collapsed`' attribute.

  See Also:
    `isCollapsed()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### BasicSemanticCompartmentImpl

    protected BasicSemanticCompartmentImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicDecorationNodeImpl`
  ** Generated **

### isCollapsed

    public boolean isCollapsed()

  Specified by:
    `isCollapsed` in interface `DrawerStyle`
  Returns:
    the value of the 'Collapsed' attribute.
  See Also:
    `DrawerStyle.setCollapsed(boolean)`, `NotationPackage.getDrawerStyle_Collapsed()`
  ** Generated **

### setCollapsed

    public void setCollapsed(boolean newCollapsed)

  Specified by:
    `setCollapsed` in interface `DrawerStyle`
  Parameters:
    `newCollapsed` - the new value of the 'Collapsed' attribute.
  See Also:
    `DrawerStyle.isCollapsed()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `BasicDecorationNodeImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `BasicDecorationNodeImpl`
  ** Generated **
    NOT

### eSetGen

    public void eSetGen(int featureID,
                        java.lang.Object newValue)

  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `BasicDecorationNodeImpl`
  ** Generated **
    NOT

### eUnsetGen

    public void eUnsetGen(int featureID)

  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `BasicDecorationNodeImpl`
  ** Generated **
    NOT

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicDecorationNodeImpl`

### createLayoutConstraint

    public LayoutConstraint createLayoutConstraint(org.eclipse.emf.ecore.EClass eClass)

  Description copied from interface: `Node`

  A utility method to create a `LayoutConstraint` object from the given `EClass` and then sets the node's LayoutConstraint property to the new object.

  Specified by:
    `createLayoutConstraint` in interface `Node`
  Overrides:
    `createLayoutConstraint` in class `BasicDecorationNodeImpl`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `LayoutConstraint` object

### setLayoutConstraint

    public void setLayoutConstraint(LayoutConstraint newLayoutConstraint)

  Description copied from interface: `Node`
  Sets the value of the '`Layout Constraint`' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Specified by:
    `setLayoutConstraint` in interface `Node`
  Overrides:
    `setLayoutConstraint` in class `BasicDecorationNodeImpl`
  Parameters:
    `newLayoutConstraint` - the new value of the 'Layout Constraint' containment reference.
  See Also:
    `Node.getLayoutConstraint()`

### basicSetLayoutConstraint

    public org.eclipse.emf.common.notify.NotificationChain basicSetLayoutConstraint(LayoutConstraint newLayoutConstraint,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `basicSetLayoutConstraint` in class `BasicDecorationNodeImpl`

### getLayoutConstraint

    public LayoutConstraint getLayoutConstraint()

  Description copied from interface: `Node`
  Returns the value of the 'Layout Constraint' containment reference.

  Layout constraints are used by layout managers to properly set the bounds of the node's visuals

  Specified by:
    `getLayoutConstraint` in interface `Node`
  Overrides:
    `getLayoutConstraint` in class `BasicDecorationNodeImpl`
  Returns:
    the value of the 'Layout Constraint' containment reference.
  See Also:
    `Node.setLayoutConstraint(LayoutConstraint)`, `NotationPackage.getNode_LayoutConstraint()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.